## OIDC Connection/Authentication Info
quarkus.oauth2.enabled=false
quarkus.oidc.enabled=false
quarkus.keycloak.devservices.enabled=false
quarkus.oidc-client.enabled=false

## DATASOURCE CONFIG
quarkus.datasource.db-kind=h2
quarkus.datasource.jdbc.url=jdbc:h2:mem:db;NON_KEYWORDS=USER

quarkus.datasource."eclipse".db-kind=h2
quarkus.datasource."eclipse".db-version=2.3.0
quarkus.datasource."eclipse".jdbc.url=jdbc:h2:mem:eclipse;NON_KEYWORDS=USER

# Flyway configuration for the datasources
quarkus.flyway.locations=classpath:database/default
quarkus.flyway.migrate-at-start=true

quarkus.flyway.eclipse.locations=classpath:database/eclipse
quarkus.flyway.eclipse.migrate-at-start=true

## Metadata ECA document configs
eclipse.profile.metadata.eca-validation.eca-id=ecaId
eclipse.profile.metadata.eca-validation.eca-version=3.0,3.1
eclipse.profile.metadata.eca-validation.ica-id=icaId
eclipse.profile.metadata.eca-validation.iwgpa-ids=iwgpaId,jakarta-ee
eclipse.profile.metadata.eca-validation.mcca-id=mccaId
eclipse.profile.metadata.eca-validation.cla-id=claId

## Metadata publisher agreement document configs
eclipse.profile.metadata.publisher-agreement-validation.doc-id=openvsx

## Security configs
eclipse.security.oauth2.filter.enabled=true
eclipse.security.oauth2.filter.valid-client-ids=test-id
eclipse.security.oauth2.filter.valid-scopes=read,write,admin

## LDAP configs
eclipse.profile.ldap.host=sample
eclipse.profile.ldap.port=0000
eclipse.profile.ldap.base-dn=dc=sample

## Slack configs
eclipse.profile.slack.valid-token=slackToken
eclipse.profile.slack.valid-team-domain=eclipsefoundation


quarkus.jacoco.includes=**/profile/**/*